## org.hibernate.metamodel.source.annotations.entity
Class SubclassEntitySourceImpl

    java.lang.Object
      org.hibernate.metamodel.source.annotations.entity.EntitySourceImpl
          org.hibernate.metamodel.source.annotations.entity.SubclassEntitySourceImpl

All Implemented Interfaces:
  AttributeSourceContainer, EntitySource, SubclassEntityContainer, SubclassEntitySource

    public class SubclassEntitySourceImpl

extends EntitySourceImpl
implements SubclassEntitySource

Constructor Summary
`SubclassEntitySourceImpl(EntityClass entityClass)`

Method Summary

Methods inherited from class org.hibernate.metamodel.source.annotations.entity.EntitySourceImpl

`add, attributeSources, getBatchSize, getClassName, getConstraints, getCustomLoaderName, getCustomPersisterClassName, getCustomSqlDelete, getCustomSqlInsert, getCustomSqlUpdate, getCustomTuplizerClassName, getDiscriminatorMatchValue, getEntityClass, getEntityName, getJpaCallbackClasses, getJpaEntityName, getLocalBindingContext, getOrigin, getPath, getPrimaryTable, getProxy, getSecondaryTables, getSynchronizedTableNames, isAbstract, isDynamicInsert, isDynamicUpdate, isLazy, isSelectBeforeUpdate, metaAttributes, subclassEntitySources`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.metamodel.source.binder.EntitySource

`getBatchSize, getClassName, getConstraints, getCustomLoaderName, getCustomPersisterClassName, getCustomSqlDelete, getCustomSqlInsert, getCustomSqlUpdate, getCustomTuplizerClassName, getDiscriminatorMatchValue, getEntityName, getJpaCallbackClasses, getJpaEntityName, getLocalBindingContext, getOrigin, getPrimaryTable, getProxy, getSecondaryTables, getSynchronizedTableNames, isAbstract, isDynamicInsert, isDynamicUpdate, isLazy, isSelectBeforeUpdate, metaAttributes`

Methods inherited from interface org.hibernate.metamodel.source.binder.SubclassEntityContainer
`add, subclassEntitySources`

Methods inherited from interface org.hibernate.metamodel.source.binder.AttributeSourceContainer
`attributeSources, getPath`

Constructor Detail

### SubclassEntitySourceImpl

    public SubclassEntitySourceImpl(EntityClass entityClass)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.